#include <avr/interrupt.h>
#include <avr/io.h>
#include "typedefs.h"
#include "support.h"
#include "usart.h"
#include "timer.h"
#define NOP()	asm("nop")

const char MSG_VERSION[] = "Frequenzzhler V0.1\r\n";
//------------------------------------------------------------------------------

int main (void) 
{
  usart_init(); // Serielle Schnittstelle initialisieren
  usart_writeln_flash_str(MSG_VERSION); 
  DDRC = 0xFF;
  DDRA = 0xFC;
  PORTA = 0x04;
  PORTC = 0xFF;
  sei();
  init_timer3();
  while(1)
  { 
  }
}

